Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023699
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-04-30 16:582013-06-06 11:59
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in VersionRMP23
StatusclosedFix in branchFixed in SCM revision36b8f76acf42
ProjectionnoneETAnoneTarget VersionRMP23
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP21SCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023699: Problem with price list

DescriptionProblem with price list
Steps To Reproduce-create 2 price list versions
-one validfrom 2009 and another one valid from today

Check the second price list version (valid from today) as isactive ='N'

Verify that you can not login in the Web POS because the backend is trying to find active price list version with valid from = today
TagsNo tags attached.
Attached Filesdiff file icon issue23699.diff [^] (7,387 bytes) 2013-05-07 18:09 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0058503)
hgbot (developer)
2013-05-08 11:20

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 36b8f76acf42b2f126145a712bce700abc55d7df
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed May 08 11:20:18 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/36b8f76acf42b2f126145a712bce700abc55d7df [^]

Fixed issue 23699. The way the price list version is picked has been changed:
> - Two utility methods, which get the correct pricelist version for a given organization or terminal, have been added. This method will filter by active inside the query which also picks the maximum date, to avoid picking an inactive pricelist version, and then filtering it because it's inactive.
- The queries which previously selected the price list version have been modified to use these utility methods.

---
M src/org/openbravo/retail/posterminal/POSUtils.java
M src/org/openbravo/retail/posterminal/master/Category.java
M src/org/openbravo/retail/posterminal/master/Product.java
M src/org/openbravo/retail/posterminal/term/PriceListVersion.java
---
(0058855)
hgbot (developer)
2013-05-23 07:51

Repository: erp/pmods/org.openbravo.retail.posterminal.ch
Changeset: 36b8f76acf42b2f126145a712bce700abc55d7df
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed May 08 11:20:18 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.ch/rev/36b8f76acf42b2f126145a712bce700abc55d7df [^]

Fixed issue 23699. The way the price list version is picked has been changed:
> - Two utility methods, which get the correct pricelist version for a given organization or terminal, have been added. This method will filter by active inside the query which also picks the maximum date, to avoid picking an inactive pricelist version, and then filtering it because it's inactive.
- The queries which previously selected the price list version have been modified to use these utility methods.

---
M src/org/openbravo/retail/posterminal/POSUtils.java
M src/org/openbravo/retail/posterminal/master/Category.java
M src/org/openbravo/retail/posterminal/master/Product.java
M src/org/openbravo/retail/posterminal/term/PriceListVersion.java
---
(0059017)
hgbot (developer)
2013-05-29 12:18

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 36b8f76acf42b2f126145a712bce700abc55d7df
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed May 08 11:20:18 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/36b8f76acf42b2f126145a712bce700abc55d7df [^]

Fixed issue 23699. The way the price list version is picked has been changed:
> - Two utility methods, which get the correct pricelist version for a given organization or terminal, have been added. This method will filter by active inside the query which also picks the maximum date, to avoid picking an inactive pricelist version, and then filtering it because it's inactive.
- The queries which previously selected the price list version have been modified to use these utility methods.

---
M src/org/openbravo/retail/posterminal/POSUtils.java
M src/org/openbravo/retail/posterminal/master/Category.java
M src/org/openbravo/retail/posterminal/master/Product.java
M src/org/openbravo/retail/posterminal/term/PriceListVersion.java
---
(0059239)
guilleaer (developer)
2013-06-06 11:59

closed again because it has changed "automatically" to resolved

- Issue History
Date Modified Username Field Change
2013-04-30 16:58 jecharri New Issue
2013-04-30 16:58 jecharri Assigned To => marvintm
2013-04-30 17:01 jecharri Steps to Reproduce Updated View Revisions
2013-05-07 18:09 marvintm File Added: issue23699.diff
2013-05-08 11:20 hgbot Checkin
2013-05-08 11:20 hgbot Note Added: 0058503
2013-05-08 11:20 hgbot Status new => resolved
2013-05-08 11:20 hgbot Resolution open => fixed
2013-05-08 11:20 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/36b8f76acf42b2f126145a712bce700abc55d7df [^]
2013-05-23 07:51 hgbot Checkin
2013-05-23 07:51 hgbot Note Added: 0058855
2013-05-23 07:51 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/36b8f76acf42b2f126145a712bce700abc55d7df [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.ch/rev/36b8f76acf42b2f126145a712bce700abc55d7df [^]
2013-05-28 14:50 guilleaer Review Assigned To => guilleaer
2013-05-28 14:50 guilleaer Status resolved => closed
2013-05-28 14:50 guilleaer Fixed in Version => RMP23
2013-05-29 12:18 hgbot Checkin
2013-05-29 12:18 hgbot Note Added: 0059017
2013-05-29 12:18 hgbot Status closed => resolved
2013-05-29 12:18 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.ch/rev/36b8f76acf42b2f126145a712bce700abc55d7df [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/36b8f76acf42b2f126145a712bce700abc55d7df [^]
2013-06-06 11:59 guilleaer Note Added: 0059239
2013-06-06 11:59 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker